package com.caimei365.user.mapper;

import java.util.List;
import com.caimei365.user.model.po.CmBrandLanding;
import com.caimei365.user.model.vo.CmBrandLandingVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 供应商落地页资源Mapper接口
 *
 * @author Kaick
 * @date 2023-05-31
 */
@Mapper
public interface CmBrandLandingMapper
{
    /**
     * 查询供应商落地页资源
     *
     * @param id 供应商落地页资源主键
     * @return 供应商落地页资源
     */
    public CmBrandLanding selectCmBrandLandingById(String id);

    /**
     * 查询供应商落地页资源列表
     *
     * @param cmBrandLanding 供应商落地页资源
     * @return 供应商落地页资源集合
     */
    public List<CmBrandLanding> selectCmBrandLandingList(CmBrandLanding cmBrandLanding);

    /**
     * 新增供应商落地页资源
     *
     * @param cmBrandLanding 供应商落地页资源
     * @return 结果
     */
    public int insertCmBrandLanding(CmBrandLanding cmBrandLanding);

    /**
     * 修改供应商落地页资源
     *
     * @param cmBrandLanding 供应商落地页资源
     * @return 结果
     */
    public int updateCmBrandLanding(CmBrandLanding cmBrandLanding);

    /**
     * 删除供应商落地页资源
     *
     * @param id 供应商落地页资源主键
     * @return 结果
     */
    public int deleteCmBrandLandingById(String id);

    /**
     * 批量删除供应商落地页资源
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmBrandLandingByIds(String[] ids);
}
