package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/11
 */
@ApiModel("机构注册")
@Data
public class ClubRegisterDto implements Serializable {
    /**
     * 注册来源: 0网站 1小程序
     */
    @ApiModelProperty("注册来源: 0网站 1小程序")
    private Integer source;
    /**
     * 组织Id
     */
    @ApiModelProperty("组织Id: 0采美 1联合丽格")
    private Integer organizeId;
    /**
     * 用户名
     */
    @ApiModelProperty("用户名")
    private String userName;
    /**
     * 企业绑定手机号
     */
    @NotNull
    @ApiModelProperty("企业绑定手机号")
    private String bindMobile;
    /**
     * 密码
     */
    @NotNull
    @ApiModelProperty("密码")
    private String password;
    /**
     * 用户确认密码
     */
    @NotNull
    @ApiModelProperty("用户确认密码")
    private String passWordConfirm;
    /**
     * 短信验证码
     */
    @NotNull
    @ApiModelProperty("短信验证码(旧：activationCode)")
    private String smsCode;
    /**
     * 是否同意勾选同意协议，1是，其他否
     */
    @NotNull
    @ApiModelProperty("是否同意勾选同意协议，1是，其他否")
    private Integer isAgreed;

    @NotNull
    @ApiModelProperty("是否接受匹配客户经理，1是，其他否")
    private Integer isSp;

    @ApiModelProperty("协销ID")
    private Integer spId;
    /**
     * 微信unionId
     */
    @ApiModelProperty("微信unionId")
    private String unionId;
    /**
     * 微信昵称
     */
    @ApiModelProperty("微信昵称")
    private String nickName;
    /**
     * 微信头像(headimgurl)
     */
    @ApiModelProperty("微信头像(headimgurl)")
    private String avatarUrl;

}
