package com.caimei365.user.model.po;

import java.util.Date;

import com.caimei365.user.model.vo.CmBrandFilesVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.util.List;

/**
 * 供应商落地页资源对象 cm_brand_landing
 *
 * @author Kaick
 * @date 2023-05-31
 */
@Accessors(chain  = true )
@Data
@Alias("CmBrandLanding")
public class CmBrandLanding
{
    private static final Long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 供应商id */
    private String authUserId;

    /** 分类：1成功案例，2增长社区-视频列表，3增长社区-文章列表 */
    private String type;

    /** pc端picture */
    private String headPcBanner;

    /** 移动端picture */
    private String headAppBanner;

    /** picture跳转方式状态：0无，1图片，2链接 */
    private String jumpStatus;

    /** pc端picture跳转图片 */
    private String jumpPcPicture;

    /** 移动端picture跳转图片 */
    private String jumpAppPicture;

    /** picture跳转链接 */
    private String jumpLink;

    /** 标题
 */
    private String title;

    /** 内容
 */
    private String content;

    /** 视频文件 */
    private String video;

    /** 排序 */
    private String sort;

    /** pc端status 0启用，1停用 */
    private String pcStatus;

    /** 移动端status 0启用，1停用 */
    private String appStatus;

    /** 删除状态 0正常，1删除 */
    private String delFlag;


    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;
    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date addTime;
    /** 文件资料 */
    private List<CmBrandFilesVO> cmBrandFiles;

//    public List<CmBrandFiles> getCmBrandFiles() {
//        return cmBrandFiles;
//    }
//
//    public void setCmBrandFiles(List<CmBrandFiles> cmBrandFiles) {
//        this.cmBrandFiles = cmBrandFiles;
//    }
//
//    public void setId(String id)
//    {
//        this.id = id;
//    }
//
//    public String getId()
//    {
//        return id;
//    }
//    public void setAuthUserId(String authUserId)
//    {
//        this.authUserId = authUserId;
//    }
//
//    public String getAuthUserId()
//    {
//        return authUserId;
//    }
//    public void setType(String type)
//    {
//        this.type = type;
//    }
//
//    public String getType()
//    {
//        return type;
//    }
//    public void setHeadPcBanner(String headPcBanner)
//    {
//        this.headPcBanner = headPcBanner;
//    }
//
//    public String getHeadPcBanner()
//    {
//        return headPcBanner;
//    }
//    public void setHeadAppBanner(String headAppBanner)
//    {
//        this.headAppBanner = headAppBanner;
//    }
//
//    public String getHeadAppBanner()
//    {
//        return headAppBanner;
//    }
//    public void setJumpStatus(String jumpStatus)
//    {
//        this.jumpStatus = jumpStatus;
//    }
//
//    public String getJumpStatus()
//    {
//        return jumpStatus;
//    }
//    public void setJumpPcPicture(String jumpPcPicture)
//    {
//        this.jumpPcPicture = jumpPcPicture;
//    }
//
//    public String getJumpPcPicture()
//    {
//        return jumpPcPicture;
//    }
//    public void setJumpAppPicture(String jumpAppPicture)
//    {
//        this.jumpAppPicture = jumpAppPicture;
//    }
//
//    public String getJumpAppPicture()
//    {
//        return jumpAppPicture;
//    }
//    public void setJumpLink(String jumpLink)
//    {
//        this.jumpLink = jumpLink;
//    }
//
//    public String getJumpLink()
//    {
//        return jumpLink;
//    }
//    public void setTitle(String title)
//    {
//        this.title = title;
//    }
//
//    public String getTitle()
//    {
//        return title;
//    }
//    public void setContent(String content)
//    {
//        this.content = content;
//    }
//
//    public String getContent()
//    {
//        return content;
//    }
//    public void setVideo(String video)
//    {
//        this.video = video;
//    }
//
//    public String getVideo()
//    {
//        return video;
//    }
//    public void setSort(String sort)
//    {
//        this.sort = sort;
//    }
//
//    public String getSort()
//    {
//        return sort;
//    }
//    public void setPcStatus(String pcStatus)
//    {
//        this.pcStatus = pcStatus;
//    }
//
//    public String getPcStatus()
//    {
//        return pcStatus;
//    }
//    public void setAppStatus(String appStatus)
//    {
//        this.appStatus = appStatus;
//    }
//
//    public String getAppStatus()
//    {
//        return appStatus;
//    }
//    public void setDelFlag(String delFlag)
//    {
//        this.delFlag = delFlag;
//    }
//
//    public String getDelFlag()
//    {
//        return delFlag;
//    }
//    public void setAddTime(Date addTime)
//    {
//        this.addTime = addTime;
//    }
//
//    public Date getAddTime()
//    {
//        return addTime;
//    }
//    public Date getUpdateTime() {
//        return updateTime;
//    }
//
//    public void setUpdateTime(Date updateTime) {
//        this.updateTime = updateTime;
//    }
//
//    @Override
//    public String toString() {
//        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
//            .append("id", getId())
//            .append("authUserId", getAuthUserId())
//            .append("type", getType())
//            .append("headPcBanner", getHeadPcBanner())
//            .append("headAppBanner", getHeadAppBanner())
//            .append("jumpStatus", getJumpStatus())
//            .append("jumpPcPicture", getJumpPcPicture())
//            .append("jumpAppPicture", getJumpAppPicture())
//            .append("jumpLink", getJumpLink())
//            .append("title", getTitle())
//            .append("content", getContent())
//            .append("video", getVideo())
//            .append("sort", getSort())
//            .append("pcStatus", getPcStatus())
//            .append("appStatus", getAppStatus())
//            .append("delFlag", getDelFlag())
//            .append("updateTime", getUpdateTime())
//            .append("addTime", getAddTime())
//            .toString();
//    }
}
