package com.caimei365.user.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

/**
 * 用户需求调查对象 cm_questionnaire
 *
 * @author Kaick
 * @date 2023-07-14
 */
@Accessors(chain  = true )
@Data
@Alias("CmQuestionnaire")
public class CmQuestionnaire implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 用户需求ID */
    private String id;

    /** 分类：1 供应商解决方案 */
    private String type;

    /** 用户ID，为空游客 */
    private Integer userId;

    /** 用户姓名 */
    private String userName;

    /** 公司名称 */
    private String corporateName;

    /** 手机号 */
    private String mobile;

    /** 解决方案版本 */
    private Integer level;

    /** 感兴趣内容 */
    private String content;

    /** 状态：1待处理，2已处理 */
    private Integer status;

    /** 删除状态：0已删除 1正常 */
    private Integer delFlag;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    /** 备注 */
    private String remark;

}

