package com.caimei365.user.model.po;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.aliyuncs.http.HttpRequest;
import com.caimei365.user.utils.RequestUtil;
import com.caimei365.user.utils.message.InsideMessage;
import com.caimei365.user.utils.message.MessageModel;
import com.caimei365.user.utils.message.MessageType;
import com.caimei365.user.utils.message.MqInfo;
import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * 协销
 *
 * @author : Aslee
 * @date : 2021/3/18
 */
@Accessors(chain  = true )
@Data
public class ServiceProviderPo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 协销Id(serviceProviderID)
     */
    private Integer serviceProviderId;
    /**
     * 协销状态，见表c_serviceproviderstatus或枚举ServiceProviderStatus
     */
    private Integer status;
    /**
     * 对应的userId
     */
    private Integer userId;
    /**
     * 小程序openid
     */
    private String openid;
    /**
     * 微信unionId
     */
    private String unionId;
    /**
     * 名称
     */
    private String name;
    /**
     * 联系人
     */
    private String linkMan;
    /**
     * 联系手机
     */
    private String contractMobile;
    /**
     * 联系邮箱
     */
    private String contractEmail;
    /**
     * 联系人职务
     */
    private String duty;
    /**
     * 审核状态
     */
    private String auditStatus;

    /**
     * 审核时间
     */
    private String auditTime;

    /**
     * 审核信息
     */
    private String auditNote;
    /**
     * 是否可用 1可用
     */
    private String validFlag;

    /**
     * 头像
     */
    private String image;

    /**
     * 协销二维码
     */
    private String qrCode;

    /**
     * 创建时间
     */
    private String addTime;
    /**
     * 创客经理Id
     */
    private Integer mainServiceProviderId;

}
