package com.caimei365.user.model.po;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.io.Serializable;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

/**
 * 字典对象 sys_dict
 *
 * @author Kaick
 * @date 2023-07-14
 */
@Accessors(chain  = true )
@Data
@Alias("SysDict")
public class SysDict implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private String id;

    /** 数据值 */
    private String value;

    /** 标签名 */
    private String label;

    /** 类型 */
    private String type;

    /** 描述 */
    private String description;

    /** 排序（升序） */
    private Integer sort;

    /** 父级编号 */
    private String parentId;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createDate;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateDate;

    /** 备注信息 */
    private String remarks;

    /** 删除标记 */
    private String delFlag;

}

