package com.caimei365.user.model.vo;

import java.util.Date;

import com.caimei365.user.model.vo.CmBrandFilesVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.util.List;

/**
 * 供应商落地页资源对象 cm_brand_landing
 *
 * @author Kaick
 * @date 2023-05-31
 */
@Accessors(chain  = true )
@Data
@Alias("CmBrandLandingVO")
public class CmBrandLandingVO implements Serializable
{
    private static final Long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 供应商id */
    private String authUserId;

    /** 分类：1成功案例，2增长社区-视频列表，3增长社区-文章列表 */
    private String type;

    /** pc端picture */
    private String headPcBanner;

    /** 移动端picture */
    private String headAppBanner;

    /** picture跳转方式状态：0无，1图片，2链接 */
    private String jumpStatus;

    /** pc端picture跳转图片 */
    private String jumpPcPicture;

    /** 移动端picture跳转图片 */
    private String jumpAppPicture;

    /** picture跳转链接 */
    private String jumpLink;

    /** 标题
 */
    private String title;

    /** 内容
 */
    private String content;

    /** 视频文件 */
    private String video;

    /** 排序 */
    private String sort;

    /** 文件资料 */
    List<CmBrandFilesVO> cmBrandFiles;


}
