package com.caimei365.user.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 登录成功返回用户数据
 *
 * @author : Charles
 * @date : 2021/3/10
 */
@Data
public class UserLoginVo implements Serializable {
    /**
     * 用户Id
     */
    @ApiModelProperty("用户Id")
    private Integer userId;

    @ApiModelProperty("协销用户Id")
    private Integer spUserId;
    /**
     * 组织Id
     */
    @ApiModelProperty("组织Id")
    private Integer organizeId;
    /**
     * 机构Id
     */
    @ApiModelProperty("机构Id")
    private Integer clubId;
    /**
     * 供应商Id
     */
    @ApiModelProperty("供应商Id")
    private Integer shopId;
    /**
     * 协销Id
     */
    @ApiModelProperty("协销Id")
    private Integer serviceProviderId;
    /**
     * 运营人员Id
     */
    @ApiModelProperty("运营人员Id")
    private Integer operationId;
    /**
     * 企业账号名
     */
    @ApiModelProperty("企业账号名")
    private Integer account;
    /**
     * 机构名称
     */
    @ApiModelProperty("机构名称")
    private String name;
    /**
     * 机构联系人
     */
    private String clubLinkMan;
    /**
     * 用户名
     */
    @ApiModelProperty("用户名")
    private String userName;
    /**
     * 邮箱
     */
    @ApiModelProperty("邮箱")
    private String email;
    /**
     * 个人手机号码
     */
    @ApiModelProperty("个人手机号码")
    private String mobile;
    /**
     * 企业绑定手机号
     */
    @ApiModelProperty("企业绑定手机号")
    private String bindMobile;
    /**
     * 运营人员手机号
     */
    @ApiModelProperty("运营人员手机号")
    private String operationMobile;
    /**
     * 密码
     */
    @ApiModelProperty("密码")
    private String password;
    /**
     * 是否已经引导过(机构升级:0否，1是)
     */
    @ApiModelProperty("是否已经引导过(机构升级:0否，1是)")
    private Integer guideFlag;
    /**
     * 用户身份: 1协销 2会员机构 3供应商 4普通机构
     */
    @ApiModelProperty("用户身份: 1协销 2会员机构 3供应商 4普通机构")
    private Integer userIdentity;
    /**
     * 用户权限: 2会员机构 3供应商 4协销 5普通机构
     */
    @ApiModelProperty("用户权限: 2会员机构 3供应商 4协销 5普通机构")
    private Integer userPermission;
    /**
     * 机构状态：90:已上线，91:已冻结，92:审查资料未通过,待补充资料，1:待审查资料，2:电话预约，3:已预约，20:待确认，21:待拜访，30:待员工推荐，40:已完成第一次采购
     */
    @ApiModelProperty("机构状态：90:已上线")
    private Integer clubStatus;
    /**
     * 供应商状态：90:已上线，91:已下线，92:审核不通过，3:待审核
     */
    @ApiModelProperty("供应商状态：90:已上线")
    private Integer shopStatus;
    /**
     * 协销状态： 90：已上线
     */
    @ApiModelProperty("协销状态： 90：已上线")
    private Integer serviceStatus;
    /**
     * 运营人员状态：1未绑定，2已绑定
     */
    @ApiModelProperty("运营人员状态")
    private Integer operationStatus;
    /**
     * token
     */
    @ApiModelProperty("token")
    private String token;
    /**
     * 微信unionId
     */
    @ApiModelProperty("微信unionId")
    private String unionId;
    /**
     * 微信openId
     */
    @ApiModelProperty("微信openId")
    private String openId;
    /**
     * 邀请码生成时间
     */
    @ApiModelProperty("邀请码生成时间")
    private Date invitationCodeTime;
    /**
     * 删除标识：0有效，其它无效
     */
    @ApiModelProperty("删除标识")
    private Integer delFlag;
    /**
     * 超级会员过期标记
     */
    @ApiModelProperty("过期套餐标记，0未买过，-1过期，1有效/无过期时间接口0不是会员，1是会员")
    private Integer vipFlag;
    /**
     * 机构类型
     */
    @ApiModelProperty("机构类型：1医美，2生美")
    private Integer firstClubType;

    @ApiModelProperty("是否是协销总管理员标记 1是，2否")
    private Integer manager;

    @ApiModelProperty("是否是协销组长，有id则是，没有则不是")
    private Integer leaderId;

    @ApiModelProperty("未读消息总数")
    private Integer savedCount;

    @ApiModelProperty("上架费状态")
    private Integer listingFee;

    @ApiModelProperty("机构门头照")
    private String shopPhoto;
}
