package com.caimei365.user.service;

import com.caimei365.user.model.po.CmBrandLanding;
import com.caimei365.user.model.vo.CmBrandLandingVO;

import java.util.List;

/**
 * 供应商落地页资源Service接口
 *
 * @author Kaick
 * @date 2023-05-31
 */
public interface CmBrandLandingService
{
    /**
     * 查询供应商落地页资源
     *
     * @param id 供应商落地页资源主键
     * @return 供应商落地页资源
     */
    public CmBrandLanding selectCmBrandLandingById(String id);

    /**
     * 查询供应商落地页资源列表
     *
     * @param cmBrandLanding 供应商落地页资源
     * @return 供应商落地页资源集合
     */
    public List<CmBrandLanding> selectCmBrandLandingList(CmBrandLanding cmBrandLanding);

    /**
     * 新增供应商落地页资源
     *
     * @param cmBrandLanding 供应商落地页资源
     * @return 结果
     */
    public int insertCmBrandLanding(CmBrandLanding cmBrandLanding);

    /**
     * 修改供应商落地页资源
     *
     * @param cmBrandLanding 供应商落地页资源
     * @return 结果
     */
    public int updateCmBrandLanding(CmBrandLanding cmBrandLanding);

    /**
     * 批量删除供应商落地页资源
     *
     * @param ids 需要删除的供应商落地页资源主键集合
     * @return 结果
     */
    public int deleteCmBrandLandingByIds(String[] ids);

    /**
     * 删除供应商落地页资源信息
     *
     * @param id 供应商落地页资源主键
     * @return 结果
     */
    public int deleteCmBrandLandingById(String id);
}
