package com.caimei365.user.service;

import com.caimei365.user.model.ResponseJson;
import com.caimei365.user.model.dto.BehaviorRecordDto;
import com.caimei365.user.model.dto.RoosInformationDto;
import com.caimei365.user.model.vo.CmShopPopUpVo;
import com.caimei365.user.model.vo.cmShopAdvertisingImage;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/12/9
 */
public interface RoosInformationService {
    /**
     * 查看用户是否有过弹框，游客当天是否有过弹框
     * @param IP
     * @return
     */
    Boolean boolIsClick(String IP, Integer shopId, Integer productId, Integer infoId, String keyword);


    /**
     * 供应商弹框信息
     * @param shopId
     * @param productId
     * @param infoId
     * @param keyword
     * @return
     */
    ResponseJson<CmShopPopUpVo> getPopUpInfo(Integer shopId, Integer productId, Integer infoId, String keyword);

    /**
     * 插入填写咨询人基本信息
     * @param roosInformationDto
     */
    ResponseJson<String> insRoosInformation(RoosInformationDto roosInformationDto);

    /**
     * 查看访问者是否浏览过roos相关页面 供应商广告图
     * @param IP
     * @return
     */
    ResponseJson<List<cmShopAdvertisingImage>> selectVisitRoos(Integer userId ,String IP);

    /**
     * 获取用户访问IP
     * @return
     */
    String obtainIp();
}
