package com.caimei365.user.service.impl;

import java.util.Date;
import java.util.List;

import com.caimei365.user.mapper.CmBrandLandingMapper;
import com.caimei365.user.model.po.CmBrandLanding;
import com.caimei365.user.model.vo.CmBrandLandingVO;
import com.caimei365.user.service.CmBrandLandingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 供应商落地页资源Service业务层处理
 *
 * @author Kaick
 * @date 2023-05-31
 */
@Service
public class CmBrandLandingServiceImpl implements CmBrandLandingService
{
    @Autowired
    private CmBrandLandingMapper cmBrandLandingMapper;

    /**
     * 查询供应商落地页资源
     *
     * @param id 供应商落地页资源主键
     * @return 供应商落地页资源
     */
    @Override
    public CmBrandLanding selectCmBrandLandingById(String id)
    {
        return cmBrandLandingMapper.selectCmBrandLandingById(id);
    }

    /**
     * 查询供应商落地页资源列表
     *
     * @param cmBrandLanding 供应商落地页资源
     * @return 供应商落地页资源
     */
    @Override
    public List<CmBrandLanding> selectCmBrandLandingList(CmBrandLanding cmBrandLanding)
    {
        return cmBrandLandingMapper.selectCmBrandLandingList(cmBrandLanding);
    }

    /**
     * 新增供应商落地页资源
     *
     * @param cmBrandLanding 供应商落地页资源
     * @return 结果
     */
    @Override
    public int insertCmBrandLanding(CmBrandLanding cmBrandLanding)
    {
        return cmBrandLandingMapper.insertCmBrandLanding(cmBrandLanding);
    }

    /**
     * 修改供应商落地页资源
     *
     * @param cmBrandLanding 供应商落地页资源
     * @return 结果
     */
    @Override
    public int updateCmBrandLanding(CmBrandLanding cmBrandLanding)
    {
        cmBrandLanding.setUpdateTime(new Date());
        return cmBrandLandingMapper.updateCmBrandLanding(cmBrandLanding);
    }

    /**
     * 批量删除供应商落地页资源
     *
     * @param ids 需要删除的供应商落地页资源主键
     * @return 结果
     */
    @Override
    public int deleteCmBrandLandingByIds(String[] ids)
    {
        return cmBrandLandingMapper.deleteCmBrandLandingByIds(ids);
    }

    /**
     * 删除供应商落地页资源信息
     *
     * @param id 供应商落地页资源主键
     * @return 结果
     */
    @Override
    public int deleteCmBrandLandingById(String id)
    {
        return cmBrandLandingMapper.deleteCmBrandLandingById(id);
    }
}
